Make Category permanently visible, not obscured behind a "more options" link
Closed, ResolvedPublic

Description

Author: mr.heat

Description:
There is no hint about if it's required or not to add a category in the wizard. If it's skipped (or simply missed by the user since it is obscured behind a "more options" link in most languages where the translation is not changed already) the wizard is complaining about the missing category by adding an ugly error message to the file description page. So it IS required to add a category?

I (and many other users, as seen on the feedback page) request multiple changes:

  1. Change the text "more options" to "add categories and additional information" in ALL languages.
  1. Make the category input permanently visible. This very simple change will solve the problem for all the users that simply missed it (that's what this bug report is about).
  1. Make the upload wizard NOT drop what the user entered in the category input field when he presses Next without pressing Add first (that's reported as bug #28850).
  1. Make it a required field or add at least a warning message if the user added no categories.
  1. Remove the ugly error message thats currently added to the file description pages.

More about all the other bugs I found:
http://commons.wikimedia.org/wiki/Commons:Prototype_upload_wizard_feedback#Not_usable_at_all_due_to_security_errors_and_other_exceptions


Version: master
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=49710

bzimport set Reference to bz31292.
bzimport created this task.Via LegacyOct 1 2011, 11:06 AM
Ineuw added a comment.Via ConduitOct 1 2011, 7:05 PM

Strongly recommend to make the categories visible AND mandatory. It's counter-intuitive to hide it, and then after upload send an email to that effect.
Images without a category should be rejected!

bzimport added a comment.Via ConduitNov 17 2011, 9:36 PM

saibotrash wrote:

I suggest (as a first fix - more is and will be discussed at https://commons.wikimedia.org/wiki/Commons_talk:Upload_Wizard#Commons:Categories_-_Only_experts_can_get_this_right.3F ):
Show the cat section at least and display a warning if no cats have been filled it with some info (usually cat names are in English, Plural). But I would not make it mandatory (now).

+ We just need to make sure that files with < 1 working (=existing cat page) cat are tagged as uncategorized. And files with > 1 red (=notexisting cat page) should be tagged with {{Check categories}}

MarkTraceur added a comment.Via ConduitJun 5 2012, 5:34 PM

This sounds like an overwhelmingly Commons-specific feature request. Also, see the config option 'missingCategoriesWikiText' for a way to deal with this problem at least partially. Would that feature be enough, or is more necessary? I realize that nobody has touched this bug in some time, so I'd like to re-evaluate the importance.

bzimport added a comment.Via ConduitJun 5 2012, 11:01 PM

saibotrash wrote:

(In reply to comment #3)

This sounds like an overwhelmingly Commons-specific feature request.

Pardon? Then direct it to Eric Moeller if you don't like this Commons stuff.

MarkTraceur added a comment.Via ConduitJun 5 2012, 11:08 PM

I don't mind fixing problems that arise on Commons when it's a flaw in the software, but as noted in bug 34332, there's a part of Bugzilla designated for configuration options, and it's not here! From the perspective of the software team, this bug is closed, so how's this: I'll re-categorize it to the proper place.

People watching the site configuration section, please make the above configuration change for Commons.

bzimport added a comment.Via ConduitJun 7 2012, 12:08 AM

saibotrash wrote:

(In reply to comment #5)

I don't mind fixing problems that arise on Commons when it's a flaw in the
software, but as noted in bug 34332, there's a part of Bugzilla designated for
configuration options, and it's not here! From the perspective of the software
team, this bug is closed, so how's this: I'll re-categorize it to the proper
place.

People watching the site configuration section, please make the above
configuration change for Commons.

yes, please. Just do it if you know that it is just a config change - but don't close bugs.

bzimport added a comment.Via ConduitJun 7 2012, 12:20 AM

saibotrash wrote:

add: I may note that if you pull bugs out of the UploadWizard category we "users" are not able to find them anymore (even if we would do so). If the config bugs do not get fixed a long time this will lead to duplicate bugs.

bzimport added a comment.Via ConduitSep 18 2012, 2:30 PM

mr.heat wrote:

It took a long time but finally point 1 and 3 from the list are fixed (better description for the "more" link and a working "add category" pattern). But the main point 2 is still open. Make the category permanently visible and not obscured behind a "you can ignore this" link. You can switch it with the useless date field, for example. The date is read from the EXIF tag anyway.

Nischayn22 added a comment.Via ConduitMar 10 2013, 8:36 PM

This is a commons specific thing but I don't think any other wiki shall have any problem if its not in the "more info". I will try looking into this soon.

gerritbot added a comment.Via ConduitApr 12 2013, 1:00 AM

https://gerrit.wikimedia.org/r/53046 (Gerrit Change Ibbf1d6f5b686ed4989daac39a619c3a960752359) | change APPROVED and MERGED [by Yuvipanda]

Nischayn22 added a comment.Via ConduitApr 12 2013, 4:03 AM

Merged and hopefully fixed.

bzimport added a comment.Via ConduitMay 10 2013, 8:23 AM

potato.olivier wrote:

Thank you so much! This is a great improvement.

Gilles raised the priority of this task from "Normal" to "Unbreak Now!".Via WebDec 4 2014, 10:23 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles added a project: Multimedia.
Gilles lowered the priority of this task from "Unbreak Now!" to "Normal".Via ConduitDec 4 2014, 11:20 AM
Ineuw removed a subscriber: Ineuw.Via WebDec 4 2014, 3:57 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.